# Generated by Django 2.2.16 on 2021-09-08 11:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('layouts', '0003_auto_20210906_0823'),
        ('users', '0003_auto_20210902_1135'),
    ]

    operations = [
        migrations.CreateModel(
            name='LayoutVisitHistory',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('layout', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='layouts.Layout')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Layout visit log',
                'verbose_name_plural': 'Layout visit log',
            },
        ),
    ]
